"use strict";

const {
  convertCode
} = require('../utilities');

test('Exponentation operator', () => {
  const inputCode = `let x = 5;
let z = x ** 2;`;
  const outputCode = `let x = 5;
let z = x ** 2;`;
  expect(convertCode(inputCode)).toBe(outputCode);
});
test('Exponentation assignment operator', () => {
  const inputCode = `let x = 5;
x **=2;`;
  const outputCode = `let x = 5;
x **= 2;`;
  expect(convertCode(inputCode)).toBe(outputCode);
});